% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ec2_operations.R
\name{ec2_describe_transit_gateway_multicast_domains}
\alias{ec2_describe_transit_gateway_multicast_domains}
\title{Describes one or more transit gateway multicast domains}
\usage{
ec2_describe_transit_gateway_multicast_domains(
  TransitGatewayMulticastDomainIds, Filters, MaxResults, NextToken,
  DryRun)
}
\arguments{
\item{TransitGatewayMulticastDomainIds}{The ID of the transit gateway multicast domain.}

\item{Filters}{One or more filters. The possible values are:
\itemize{
\item \code{state} - The state of the transit gateway multicast domain. Valid
values are \code{pending} | \code{available} | \code{deleting} | \code{deleted}.
\item \code{transit-gateway-id} - The ID of the transit gateway.
\item \code{transit-gateway-multicast-domain-id} - The ID of the transit
gateway multicast domain.
}}

\item{MaxResults}{The maximum number of results to return with a single call. To retrieve
the remaining results, make another call with the returned \code{nextToken}
value.}

\item{NextToken}{The token for the next page of results.}

\item{DryRun}{Checks whether you have the required permissions for the action, without
actually making the request, and provides an error response. If you have
the required permissions, the error response is \code{DryRunOperation}.
Otherwise, it is \code{UnauthorizedOperation}.}
}
\value{
A list with the following syntax:\preformatted{list(
  TransitGatewayMulticastDomains = list(
    list(
      TransitGatewayMulticastDomainId = "string",
      TransitGatewayId = "string",
      TransitGatewayMulticastDomainArn = "string",
      OwnerId = "string",
      Options = list(
        Igmpv2Support = "enable"|"disable",
        StaticSourcesSupport = "enable"|"disable",
        AutoAcceptSharedAssociations = "enable"|"disable"
      ),
      State = "pending"|"available"|"deleting"|"deleted",
      CreationTime = as.POSIXct(
        "2015-01-01"
      ),
      Tags = list(
        list(
          Key = "string",
          Value = "string"
        )
      )
    )
  ),
  NextToken = "string"
)
}
}
\description{
Describes one or more transit gateway multicast domains.
}
\section{Request syntax}{
\preformatted{svc$describe_transit_gateway_multicast_domains(
  TransitGatewayMulticastDomainIds = list(
    "string"
  ),
  Filters = list(
    list(
      Name = "string",
      Values = list(
        "string"
      )
    )
  ),
  MaxResults = 123,
  NextToken = "string",
  DryRun = TRUE|FALSE
)
}
}

\keyword{internal}
