% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/lambda_operations.R
\name{lambda_delete_alias}
\alias{lambda_delete_alias}
\title{Deletes a Lambda function alias}
\usage{
lambda_delete_alias(FunctionName, Name)
}
\arguments{
\item{FunctionName}{[required] The name of the Lambda function.

\strong{Name formats}
\itemize{
\item \strong{Function name} - \code{MyFunction}.
\item \strong{Function ARN} -
\verb{arn:aws:lambda:us-west-2:123456789012:function:MyFunction}.
\item \strong{Partial ARN} - \verb{123456789012:function:MyFunction}.
}

The length constraint applies only to the full ARN. If you specify only
the function name, it is limited to 64 characters in length.}

\item{Name}{[required] The name of the alias.}
}
\value{
An empty list.
}
\description{
Deletes a Lambda function
\href{https://docs.aws.amazon.com/lambda/latest/dg/configuration-versions.html}{alias}.
}
\section{Request syntax}{
\preformatted{svc$delete_alias(
  FunctionName = "string",
  Name = "string"
)
}
}

\examples{
\dontrun{
# The following example deletes an alias named BLUE from a function named
# my-function
svc$delete_alias(
  FunctionName = "my-function",
  Name = "BLUE"
)
}

}
\keyword{internal}
